Tspi_PcrComposite_SetPcrValue(3)

NAME
Tspi_PcrComposite_SetPcrValue- set the digest for a given PCR index inside a PCR composite object.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_PcrComposite_SetPcrValue(TSS_HPCRS hPcrComposite,    UINT32 ulPcrIndex,
                                         UINT32    ulPcrValueLength, BYTE*  rgbPcrValue);

DESCRIPTION

Tspi_PcrComposite_SetPcrValue sets the digest for a given PCR index inside the PCR composite object.

PARAMETERS

  hPcrComposite
Handle of the PCR composite object instance where a PCR value should be set.

  ulPcrIndex
This parameter indicates the index of the PCR to set.

  ulPcrValueLength
The length (in bytes) of the rgbPcrValue parameter.

  rgbPcrValue
Pointer to memory containing the actual value which should be set for the PCR indicated by ulPcrIndex.

RETURN CODES

Tspi_PcrComposite_SetPcrValue returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - Either hPcrComposite or ulPcrIndex is an invalid parameter.

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_PcrComposite_SetPcrValue conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_PcrComposite_SelectPcrIndex(3), Tspi_PcrComposite_GetPcrValue(3).